/*------------------------------------*\
    #DOWNLOAD-LIST
\*------------------------------------*/
/**
 * Download list component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}download-list,
%#{$inuit-namespace}download-list {
    @extend %o-list-bare;
    @extend %h-clearfix;
}

.#{$inuit-namespace}download-list__item,
%#{$inuit-namespace}download-list__item {
    font-size: $inuit-font-size-small;
    padding: 0 0 drk-halve($drk-base-unit-small);

    @media #{$medium-up} {
        float: left;
        width: 50%;

        &:nth-of-type(2n) {
            padding-right: 0;
            padding-left: drk-halve($drk-base-unit-small);
        }
    }

    @media #{$large-up} {
        padding-right: drk-halve($drk-base-unit);

        &:nth-of-type(2n) {
            padding-right: 0;
            padding-left: drk-halve($drk-base-unit);
        }
    }
}

.#{$inuit-namespace}download-list__link,
%#{$inuit-namespace}download-list__link {
    background-position: left .25rem;
    background-size: 20px;
    display: block;
    padding-left: $drk-base-unit-small;
    min-height: $drk-base-unit-small;

    @media #{$large-up} {
        padding-left: $drk-base-unit;
        background-size: 30px;
        min-height: $drk-base-unit;
    }
}

.#{$inuit-namespace}download-list__description,
%#{$inuit-namespace}download-list__description {
    display: block;
    padding-left: $drk-base-unit-small;

    @media #{$large-up} {
        padding-left: $drk-base-unit;
    }
}
